/*
 * Copyright 2025 Collabora Ltd.
 * SPDX-License-Identifier: MIT
 */

#include <vorbis/vorbisenc.h>

#include <assert.h>
#include <errno.h>
#include <stdio.h>
#include <string.h>

int
main (__attribute__((unused)) int argc,
      __attribute__((unused)) char **argv)
{
    vorbis_info vi;
    int ret, saved_errno;

    vorbis_info_init(&vi);
    errno = 0;
    ret = vorbis_encode_init(&vi, 2, 44100, -1, 128000, -1);
    saved_errno = errno;
    fprintf(stderr, "vorbis_encode_init() -> %d, errno %d (%s)\n",
           ret, saved_errno, strerror(saved_errno));
    assert(ret == 0);
    vorbis_info_clear(&vi);
    return 0;
}
